package com.supplier.service;

import com.supplier.model.SupplierRelease;
import com.supplier.model.SupplierReleaseDay;
import com.supplier.model.SupplierReleasePlay;

import java.util.List;

public interface TemplateService {
    void addReleaseDay(SupplierReleaseDay supplierReleaseDay);

    void addReleasePlay(SupplierReleasePlay supplierReleasePlay);

    void addRelease(SupplierRelease supplierRelease);

    List<SupplierRelease> getSupplierRelease(SupplierRelease supplierRelease);

    List<SupplierReleaseDay> getSupplierReleaseDay(String uuid);

    List<SupplierReleasePlay> getSupplierReleasePlay(String uuid);

    void updateSupplierRelease(SupplierRelease supplierRelease);

    void delSupplierReleaseDay(SupplierRelease supplierRelease);

    void delSupplierReleasePlay(SupplierRelease supplierRelease);
}
